searchNodes=[{"ref":"GitOps.Changelog.html","title":"GitOps.Changelog","type":"module","doc":"Functions for writing commits to the changelog, and initializing it."},{"ref":"GitOps.Changelog.html#initialize/2","title":"GitOps.Changelog.initialize/2","type":"function","doc":""},{"ref":"GitOps.Changelog.html#write/5","title":"GitOps.Changelog.write/5","type":"function","doc":""},{"ref":"GitOps.Commit.html","title":"GitOps.Commit","type":"module","doc":"Manages the structure, parsing, and formatting of commits. Using `parse/1` you can parse a commit struct out of a commit message Using `format/1` you can format a commit struct in the way that the changelog expects."},{"ref":"GitOps.Commit.html#breaking?/1","title":"GitOps.Commit.breaking?/1","type":"function","doc":""},{"ref":"GitOps.Commit.html#feature?/1","title":"GitOps.Commit.feature?/1","type":"function","doc":""},{"ref":"GitOps.Commit.html#fix?/1","title":"GitOps.Commit.fix?/1","type":"function","doc":""},{"ref":"GitOps.Commit.html#format/1","title":"GitOps.Commit.format/1","type":"function","doc":""},{"ref":"GitOps.Commit.html#parse/1","title":"GitOps.Commit.parse/1","type":"function","doc":""},{"ref":"GitOps.Commit.html#t:t/0","title":"GitOps.Commit.t/0","type":"type","doc":""},{"ref":"GitOps.Config.html","title":"GitOps.Config","type":"module","doc":"Helpers around fetching configurations, including setting defaults."},{"ref":"GitOps.Config.html#changelog_file/0","title":"GitOps.Config.changelog_file/0","type":"function","doc":""},{"ref":"GitOps.Config.html#manage_mix_version?/0","title":"GitOps.Config.manage_mix_version?/0","type":"function","doc":""},{"ref":"GitOps.Config.html#manage_readme_version/0","title":"GitOps.Config.manage_readme_version/0","type":"function","doc":""},{"ref":"GitOps.Config.html#mix_project/0","title":"GitOps.Config.mix_project/0","type":"function","doc":""},{"ref":"GitOps.Config.html#mix_project_check/1","title":"GitOps.Config.mix_project_check/1","type":"function","doc":""},{"ref":"GitOps.Config.html#prefix/0","title":"GitOps.Config.prefix/0","type":"function","doc":""},{"ref":"GitOps.Config.html#repository_url/0","title":"GitOps.Config.repository_url/0","type":"function","doc":""},{"ref":"GitOps.Config.html#types/0","title":"GitOps.Config.types/0","type":"function","doc":""},{"ref":"GitOps.Git.html","title":"GitOps.Git","type":"module","doc":"Helper functions for working with `Git` and fetching the tags/commits we care about."},{"ref":"GitOps.Git.html#add!/2","title":"GitOps.Git.add!/2","type":"function","doc":""},{"ref":"GitOps.Git.html#commit!/2","title":"GitOps.Git.commit!/2","type":"function","doc":""},{"ref":"GitOps.Git.html#commit_messages_since_tag/2","title":"GitOps.Git.commit_messages_since_tag/2","type":"function","doc":""},{"ref":"GitOps.Git.html#get_initial_commits!/1","title":"GitOps.Git.get_initial_commits!/1","type":"function","doc":""},{"ref":"GitOps.Git.html#init!/0","title":"GitOps.Git.init!/0","type":"function","doc":""},{"ref":"GitOps.Git.html#tag!/2","title":"GitOps.Git.tag!/2","type":"function","doc":""},{"ref":"GitOps.Git.html#tags/1","title":"GitOps.Git.tags/1","type":"function","doc":""},{"ref":"GitOps.Version.html","title":"GitOps.Version","type":"module","doc":"Functionality around parsing and comparing versions contained in git tags"},{"ref":"GitOps.Version.html#determine_new_version/4","title":"GitOps.Version.determine_new_version/4","type":"function","doc":""},{"ref":"GitOps.Version.html#last_valid_non_rc_version/2","title":"GitOps.Version.last_valid_non_rc_version/2","type":"function","doc":""},{"ref":"GitOps.Version.html#last_version_greater_than/3","title":"GitOps.Version.last_version_greater_than/3","type":"function","doc":""},{"ref":"GitOps.VersionReplace.html","title":"GitOps.VersionReplace","type":"module","doc":"Functions that handle the logic behind replacing the version in related files."},{"ref":"GitOps.VersionReplace.html#update_mix_project/4","title":"GitOps.VersionReplace.update_mix_project/4","type":"function","doc":""},{"ref":"GitOps.VersionReplace.html#update_readme/4","title":"GitOps.VersionReplace.update_readme/4","type":"function","doc":""},{"ref":"Mix.Tasks.GitOps.Release.html","title":"Mix.Tasks.GitOps.Release","type":"task","doc":"Updates project changelog, and any other configured release capabilities. mix git_ops.release Logs an error for any commits that were not parseable. In the case that the prior version was a pre-release and this one is not, the version is only updated via removing the pre-release identifier. For more information on semantic versioning, including pre release and build identifiers, see the specification here: https://semver.org/ Switches: `--initial` - Creates the first changelog, and sets the version to whatever the configured mix project&#39;s version is. `--pre-release` - Sets this release to be a pre release, using the configured string as the pre release identifier. This is a manual process, and results in an otherwise unchanged version. (Does not change the minor version). The version number will only change if a higher version number bump is required than what was originally changed in the creation of the RC. For instance, if patch was changed when creating the pre-release, and no fixes or features were added when requesting a new pre-release, then the version will not change. However, if the last pre-release had only a patch version bump, but a major change has since been added, the version will be changed accordingly. `--rc` - Overrides the presence of `--pre-release`, and manages an incrementing identifier as the prerelease. This will look like `1.0.0-rc0` `1.0.0-rc1` and so forth. See the `--pre-release` flag for information on when the version will change for a pre-release. In the case that the version must change, the counter for the release candidate counter will be reset as well. `--build` - Sets the release build metadata. Build information has no semantic meaning to the version itself, and so is simply attached to the end and is to be used to describe the build conditions for that release. You might build the same version many times, and this can be used to denote that in whatever way you choose. `--force-patch` - In cases where this task is run, but the version should not change, this option will force the patch number to be incremented. `--no-major` - Forces major version changes to instead only result in minor version changes. This would be a common option for libraries that are still in 0.x.x phases where 1.0.0 should only happen at some specified milestones. After that, it is important to not resist a 2.x.x change just because it doesn&#39;t seem like it deserves it. Semantic versioning uses this major version change to communicate, and it should not be reserved. `--dry-run` - Allow users to run release process and view changes without committing and tagging"},{"ref":"readme.html","title":"GitOps","type":"extras","doc":"GitOps A small tool to help generate changelogs from conventional commit messages. For more information, see conventional commits. For an example, see this project&#39;s CHANGELOG.md. Roadmap (in no particular order): More tests Support multiple changes in a single commit via multiple conventional commits in a single commit Automatically parse issue numbers and github mentions into the correct format, linking the issue A task to build a compliant commit Validation of commits Automatically link to the PR that merged a given commit in the changelog A hundred other things I forgot to write down while writing the initial version Important addendums: A new version of the spec in beta adds a rather useful convention. Add ! in front of a commit message to simply signal it as a breaking change, instead of adding `BREAKING CHANGE: description` in your commit message. For example: `!fix(Spline Reticulator): ` The spec doesn&#39;t specify behavior around multiple scopes. This library parses scopes as a comma separated list. This allows for easily readable multiple word lists `feat(Something Special, Something Else Special): message`. Keep in mind that you are very limited on space in these messages, and if you find yourself using multiple scopes your commit is probably too big."},{"ref":"readme.html#installation","title":"GitOps - Installation","type":"extras","doc":""},{"ref":"readme.html#documentation","title":"GitOps - Documentation","type":"extras","doc":""},{"ref":"readme.html#configuration","title":"GitOps - Configuration","type":"extras","doc":""},{"ref":"readme.html#managing-your-mix-version","title":"GitOps - Managing your mix version","type":"extras","doc":""},{"ref":"readme.html#managing-your-readme-version","title":"GitOps - Managing your readme version","type":"extras","doc":""},{"ref":"readme.html#using-this-with-open-source-projects","title":"GitOps - Using this with open source projects","type":"extras","doc":""}]